%filter_from_requires /^perl.unicore.Lbrk.pl./d
%define module_name PDF-Builder
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Compress/Zlib.pm) perl(Encode.pm) perl(English.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(FileHandle.pm) perl(Font/TTF.pm) perl(Graphics/TIFF.pm) perl(IO/File.pm) perl(Image/PNG/Const.pm) perl(Image/PNG/Libpng.pm) perl(List/Util.pm) perl(Math/Trig.pm) perl(Scalar/Util.pm) perl(Test/Exception.pm) perl(Test/Memory/Cycle.pm) perl(Test/Pod.pm) perl(Unicode/UCD.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 3.015
Release: alt1
Summary: Facilitates the creation and modification of PDF files
Group: Development/Perl
License: open_source
URL: https://www.catskilltech.com

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PM/PMPERRY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use PDF::Builder;

    # Create a blank PDF file
    $pdf = PDF::Builder->new();

    # Open an existing PDF file
    $pdf = PDF::Builder->open('some.pdf');

    # Add a blank page
    $page = $pdf->page();

    # Retrieve an existing page
    $page = $pdf->openpage($page_number);

    # Set the page size
    $page->mediabox('Letter');

    # Add a built-in font to the PDF
    $font = $pdf->corefont('Helvetica-Bold');

    # Add an external TTF font to the PDF
    $font = $pdf->ttfont('/path/to/font.ttf');

    # Add some text to the page
    $text = $page->text();
    $text->font($font, 20);
    $text->translate(200, 700);
    $text->text('Hello World!');

    # Save the PDF
    $pdf->saveas('/path/to/new.pdf');

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes CONTRIBUTING docs examples
%perl_vendor_privlib/P*

%changelog
* Mon May 20 2019 Igor Vlasenko <viy@altlinux.ru> 3.015-alt1
- updated by package builder

* Sat Apr 27 2019 Igor Vlasenko <viy@altlinux.ru> 3.014-alt1
- updated by package builder

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 3.013-alt1
- initial import by package builder

